package com.muyu.cloud.pay.domain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.cloud.pay.domain.req.OrderCustomerAddReq;
import com.muyu.cloud.pay.domain.req.OrderCustomerUpdReq;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.function.Supplier;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.domain
 * @Project：cloud-pay
 * @name：OrderPayCustomer
 * @Date：2024/7/30 20:09
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "order_pay_customer",autoResultMap = true)
public class OrderPayCustomer extends BaseEntity {

    /**
     *主键
     */
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /**
     * 服务/客户名称
     */
    private String  appName;

    /**
     * 服务/客户编码
     */
    private String appCode;

    /**
     * 客户描述
     */
    private String appDesc;

    /**
     * 是否开启
     */

    private String  status;




public static OrderPayCustomer addBuild(OrderCustomerAddReq req){
    return OrderPayCustomer.builder()
            .appName(req.getAppName())
            .appCode(req.getAppCode())
            .appDesc(req.getAppDesc())
            .status(req.getStatus())
            .remark(req.getRemark())
            .build();

}


public static OrderPayCustomer updBuild(OrderCustomerUpdReq req, Supplier<Long> idSupplier){

    return OrderPayCustomer.builder()
            .id(idSupplier.get())
            .appName(req.getAppName())
            .appDesc(req.getAppDesc())
            .status(req.getStatus())
            .remark(req.getRemark())
            .build();

}









}
