package com.muyu.cloud.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.pay.domain.OrderPayCustomer;
import com.muyu.cloud.pay.domain.req.CustomerListReq;

import com.muyu.cloud.pay.domain.resp.CustomerResp;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.service
 * @Project：cloud-pay
 * @name：OrderPayCustomerService
 * @Date：2024/7/30 20:52
 */
public interface OrderPayCustomerService extends IService<OrderPayCustomer> {

    /**
     * 查询客户集合
     *
     * @param customerListReq 请求参数
     * @return
     */

    public List<CustomerResp> selectList(CustomerListReq customerListReq);


    /**
     *  获取所有的客户
     * @return 客户集合
     */

    List<String> getCustomerAllList();

    /**
     * 禁用客户
     * @param orderCustomerId
     */

    void disable(Long orderCustomerId);
    /**
     * 启用客户
     * @param orderCustomerId
     */
    void enable(Long orderCustomerId);

    /**
     * 通过客户ID设置客户状态
     * @param orderCustomerId ID
     * @param status 状态 SysIsYesNo
     */
void settingStatus(Long orderCustomerId,String status);


}
