package com.muyu.cloud.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.pay.domain.OrderPayInfo;
import com.muyu.cloud.pay.mapper.OrderPayInfoMapper;
import com.muyu.cloud.pay.service.OrderPayInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.service.impl
 * @Project：cloud-pay
 * @name：OrderPayInfoServiceImpl
 * @Date：2024/7/31 9:55
 */
@Service
public class OrderPayInfoServiceImpl extends ServiceImpl<OrderPayInfoMapper, OrderPayInfo>
    implements OrderPayInfoService {


    @Override
    public List<OrderPayInfo> selectOrderPayByAppAndLimit(String appCode, int limit) {


        LambdaQueryWrapper<OrderPayInfo> orderPayInfoQueryWrapper = new LambdaQueryWrapper<>();
        orderPayInfoQueryWrapper.eq(OrderPayInfo::getAppCode,appCode);

        orderPayInfoQueryWrapper.orderBy(true, false, OrderPayInfo::getCreateTime);
        orderPayInfoQueryWrapper.last("limit "+limit);

        return this.list(orderPayInfoQueryWrapper);
    }
}
